API referenceWhatsApp
PATCH /phone-numbers/{id}/whatsapp/calling
Update fields of an enabled number
PATCH
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringBought number id (GET /whatsapp/numbers) or the WhatsApp account id
application/json- body
accountId*stringWhatsApp account id
forwardTo?stringtel:+E164, sip:user@host or wss://host
sipAuthUsername?string|nullsipAuthPassword?|Stored encrypted, never returned
recordingEnabled?booleancallIconCountries?array<any>|nullmaxCallDurationSeconds?|Range
30 <= value <= 14400forwardCallerId?stringValue in
"business""caller"WhatsAppCallingConfig
application/json- response
phoneNumber?string|nullcallingEnabled?booleancallDeepLink?string|nullforwardTo?|tel:+E164 / sip:user@host / wss://host
recordingEnabled?booleansipAuthUsername?string|nullsipAuthPasswordConfigured?booleancallIconCountries?array<any>|nulloutboundDisabled?booleancallerIdMode?stringValue in
"business""platform"callerIdVerified?booleanmaxCallDurationSeconds?integer|nullforwardCallerId?stringValue in
"business""caller"curl -X PATCH 'https://example.com/api/v1/phone-numbers/string/whatsapp/calling' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string"}'Example Response
{ "phoneNumber": "string", "callingEnabled": true, "callDeepLink": "string", "forwardTo": "string", "recordingEnabled": true, "sipAuthUsername": "string", "sipAuthPasswordConfigured": true, "callIconCountries": [], "outboundDisabled": true, "callerIdMode": "business", "callerIdVerified": true, "maxCallDurationSeconds": 0, "forwardCallerId": "business"}